summaryrefslogtreecommitdiffstats
path: root/editors/openoffice.org-vcltesttool
diff options
context:
space:
mode:
authormbr <mbr@FreeBSD.org>2003-09-17 04:06:28 +0000
committermbr <mbr@FreeBSD.org>2003-09-17 04:06:28 +0000
commit2792aad12158dd468d55b8d979061d6b028f9883 (patch)
treebab3e59c710190dd5d34fd6f6a576ca1bf1449d8 /editors/openoffice.org-vcltesttool
parent52e57738694a810c27befaedb66ebf059a948f53 (diff)
downloadFreeBSD-ports-2792aad12158dd468d55b8d979061d6b028f9883.zip
FreeBSD-ports-2792aad12158dd468d55b8d979061d6b028f9883.tar.gz
Make it easier for people, move a big chunk of the startup
wrapper out into a script included by soffice.sh. This way there aren't any traps at first startup time and people hopefully don't ask the same questions anymore. At the same time, make more substitutions, also in oo_setup.resp. Approved by: marcus (portsmgr)
Diffstat (limited to 'editors/openoffice.org-vcltesttool')
-rw-r--r--editors/openoffice.org-vcltesttool/Makefile26
-rw-r--r--editors/openoffice.org-vcltesttool/files/freebsd-local.sh73
-rw-r--r--editors/openoffice.org-vcltesttool/files/oo_setup.resp2
-rw-r--r--editors/openoffice.org-vcltesttool/files/openoffice-wrapper61
-rw-r--r--editors/openoffice.org-vcltesttool/files/patch-desktop+scripts+soffice.sh11
5 files changed, 102 insertions, 71 deletions
diff --git a/editors/openoffice.org-vcltesttool/Makefile b/editors/openoffice.org-vcltesttool/Makefile
index 77741f4..a11269f 100644
--- a/editors/openoffice.org-vcltesttool/Makefile
+++ b/editors/openoffice.org-vcltesttool/Makefile
@@ -499,10 +499,10 @@ do-build:
pre-install:
@${CP} ${FILESDIR}/oo_setup.resp \
- ${WRKSRC}/../instsetoo/unxfbsd.pro/${LANG_EXT}/normal/
+ ${WRKSRC}/../instsetoo/unxfbsd.pro/${LANG_EXT}/normal/
@${SED} -i orig -e 's#%%PREFIX%%#${PREFIX}#g' \
- -e 's#%%PORTVERSION%%#${BUILD_NR}#g' \
- ${WRKSRC}/../instsetoo/unxfbsd.pro/${LANG_EXT}/normal/oo_setup.resp
+ -e 's#%%FRELEASE_NR%%#${FRELEASE_NR}#g' \
+ ${WRKSRC}/../instsetoo/unxfbsd.pro/${LANG_EXT}/normal/oo_setup.resp
@${MKDIR} -p ${WRKSRC}/../solver/${BUILD_NR}/unxfbsd.pro/bin/${LANG_EXT}/osl/
do-install:
@@ -529,13 +529,19 @@ install-user:
post-install:
@${ECHO_MSG} "===> Add wrapper scripts";
- @${CP} ${FILESDIR}/openoffice-wrapper ${WRKDIR}/openoffice
- @${SED} -i orig -e 's#%%PREFIX%%#${PREFIX}#g' ${WRKDIR}/openoffice
- @${SED} -i orig -e 's#%%LANG%%#${USE_LANG}#g' ${WRKDIR}/openoffice
- @${SED} -i orig -e 's#%%BUILD_NR%%#${BUILD_NR}#g' ${WRKDIR}/openoffice
- @${SED} -i orig -e 's#%%RELEASE_NR%%#${RELEASE_NR}#g' ${WRKDIR}/openoffice
- @${SED} -i orig -e 's#%%FRELEASE_NR%%#${FRELEASE_NR}#g' ${WRKDIR}/openoffice
- @${INSTALL_SCRIPT} ${WRKDIR}/openoffice ${PREFIX}/bin/openoffice-${RELEASE_NR}
+ @${CP} ${FILESDIR}/openoffice-wrapper ${WRKDIR}/
+ @${CP} ${FILESDIR}/freebsd-local.sh ${WRKDIR}/
+ @${SED} -i orig -e 's#%%PREFIX%%#${PREFIX}#g' \
+ -e 's#%%LANG%%#${USE_LANG}#g' \
+ -e 's#%%BUILD_NR%%#${BUILD_NR}#g' \
+ -e 's#%%RELEASE_NR%%#${RELEASE_NR}#g' \
+ -e 's#%%FRELEASE_NR%%#${FRELEASE_NR}#g' \
+ ${WRKDIR}/openoffice \
+ ${WRKDIR}/freebsd-local.sh
+ @${INSTALL_SCRIPT} ${WRKDIR}/openoffice \
+ ${PREFIX}/bin/openoffice-${RELEASE_NR}
+ @${INSTALL_SCRIPT} ${WRKDIR}/freebsd-local.sh \
+ ${PREFIX}/${INSTALLATION_BASEDIR}/freebsd-local.sh
@${LN} -fs ${PREFIX}/bin/openoffice-${RELEASE_NR} ${PREFIX}/bin/openoffice-${RELEASE_NR}-sagenda
@${LN} -fs ${PREFIX}/bin/openoffice-${RELEASE_NR} ${PREFIX}/bin/openoffice-${RELEASE_NR}-scalc
@${LN} -fs ${PREFIX}/bin/openoffice-${RELEASE_NR} ${PREFIX}/bin/openoffice-${RELEASE_NR}-sdraw
diff --git a/editors/openoffice.org-vcltesttool/files/freebsd-local.sh b/editors/openoffice.org-vcltesttool/files/freebsd-local.sh
new file mode 100644
index 0000000..b2a0d76
--- /dev/null
+++ b/editors/openoffice.org-vcltesttool/files/freebsd-local.sh
@@ -0,0 +1,73 @@
+#!/bin/sh
+#
+# $FreeBSD $
+
+OOHOME="$HOME/OpenOffice.org%%FRELEASE_NR%%"
+
+save_common_xcu() {
+sed 's/^X//' > $OOHOME/tmp/Common.xcu << 'END-of-Common.xcu'
+X<?xml version="1.0" encoding="UTF-8"?>
+X<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="Common" oor:package="org.openoffice.Office">
+X <node oor:name="Internal">
+X <prop oor:name="CurrentTempURL" oor:type="xs:string">
+X <value/>
+X </prop>
+X </node>
+X <node oor:name="Misc">
+X <prop oor:name="FirstRun" oor:type="xs:boolean">
+X <value>true</value>
+X </prop>
+X </node>
+X <node oor:name="ExternalApps">
+X <prop oor:name="file" oor:type="xs:string">
+X <value/>
+X </prop>
+X <prop oor:name="ftp" oor:type="xs:string">
+X <value/>
+X </prop>
+X <prop oor:name="http" oor:type="xs:string">
+X <value>%%mozilla%%</value>
+X </prop>
+X <prop oor:name="https" oor:type="xs:string">
+X <value/>
+X </prop>
+X <prop oor:name="mailto" oor:type="xs:string">
+X <value/>
+X </prop>
+X </node>
+X</oor:component-data>
+END-of-Common.xcu
+mozilla=`which mozilla`;
+if [ $? -eq 0 ]; then
+ sed -i orig -e 's#%%mozilla%%#'$mozilla'#g' $OOHOME/tmp/Common.xcu
+fi
+mozilla=`which linux-mozilla`;
+if [ $? -eq 0 ]; then
+ sed -i orig -e 's#%%mozilla%%#'$mozilla'#g' $OOHOME/tmp/Common.xcu
+fi
+mv $OOHOME/tmp/Common.xcu $OOHOME/user/registry/data/org/openoffice/Office
+}
+
+#
+# Set default lang to en_US.ISO8859-15
+#
+if [ ! $LANG ]; then
+ export LANG=en_US.ISO8859-15
+fi
+
+#
+# Create soffice.cfg if it does not exist.
+#
+if [ -e $OOHOME/setup ]; then
+ if [ ! -e $OOHOME/user/config/soffice.cfg ]; then
+ touch $OOHOME/user/config/soffice.cfg
+ fi
+fi
+
+#
+# Detect installed mozilla
+#
+if [ ! -e $OOHOME/user/registry/data/org/openoffice/Office/Common.xcu ]; then
+ mkdir -p $OOHOME/tmp;
+ save_common_xcu;
+fi
diff --git a/editors/openoffice.org-vcltesttool/files/oo_setup.resp b/editors/openoffice.org-vcltesttool/files/oo_setup.resp
index 9218fb9..a85c68b 100644
--- a/editors/openoffice.org-vcltesttool/files/oo_setup.resp
+++ b/editors/openoffice.org-vcltesttool/files/oo_setup.resp
@@ -1,7 +1,7 @@
[Environment]
InstallationMode = INSTALL_NETWORK
InstallationType = STANDARD
-DestinationPath = %%PREFIX%%/OpenOffice.org1.1.0
+DestinationPath = %%PREFIX%%/OpenOffice.org%%FRELEASE_NR%%
[Java]
JavaSupport = preinstalled_or_none
diff --git a/editors/openoffice.org-vcltesttool/files/openoffice-wrapper b/editors/openoffice.org-vcltesttool/files/openoffice-wrapper
index fa7386a..ddb5991 100644
--- a/editors/openoffice.org-vcltesttool/files/openoffice-wrapper
+++ b/editors/openoffice.org-vcltesttool/files/openoffice-wrapper
@@ -1,69 +1,10 @@
#!/bin/sh
#
-# $FreeBSD: /tmp/pcvs/ports/editors/openoffice.org-vcltesttool/files/Attic/openoffice-wrapper,v 1.10 2003-09-16 06:50:17 mbr Exp $
+# $FreeBSD: /tmp/pcvs/ports/editors/openoffice.org-vcltesttool/files/Attic/openoffice-wrapper,v 1.11 2003-09-17 04:06:28 mbr Exp $
oopath=%%PREFIX%%/OpenOffice.org%%FRELEASE_NR%%/program/
program=`echo $0 | sed -e 's|.*-%%RELEASE_NR%%-||'`
-if [ ! $LANG ]; then
- export LANG=%%LANG%%
-fi
-
-save_common_xcu() {
-sed 's/^X//' > tmp/Common.xcu << 'END-of-Common.xcu'
-X<?xml version="1.0" encoding="UTF-8"?>
-X<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="Common" oor:package="org.openoffice.Office">
-X <node oor:name="Internal">
-X <prop oor:name="CurrentTempURL" oor:type="xs:string">
-X <value/>
-X </prop>
-X </node>
-X <node oor:name="Misc">
-X <prop oor:name="FirstRun" oor:type="xs:boolean">
-X <value>true</value>
-X </prop>
-X </node>
-X <node oor:name="ExternalApps">
-X <prop oor:name="file" oor:type="xs:string">
-X <value/>
-X </prop>
-X <prop oor:name="ftp" oor:type="xs:string">
-X <value/>
-X </prop>
-X <prop oor:name="http" oor:type="xs:string">
-X <value>%%mozilla%%</value>
-X </prop>
-X <prop oor:name="https" oor:type="xs:string">
-X <value/>
-X </prop>
-X <prop oor:name="mailto" oor:type="xs:string">
-X <value/>
-X </prop>
-X </node>
-X</oor:component-data>
-END-of-Common.xcu
-mozilla=`which mozilla`;
-if [ $? -eq 0 ]; then
- sed -i orig -e 's#%%mozilla%%#'$mozilla'#g' tmp/Common.xcu
-fi
-mozilla=`which linux-mozilla`;
-if [ $? -eq 0 ]; then
- sed -i orig -e 's#%%mozilla%%#'$mozilla'#g' tmp/Common.xcu
-fi
-mv tmp/Common.xcu user/registry/data/org/openoffice/Office
-}
-
-if [ -e $HOME/OpenOffice.org%%FRELEASE_NR%%/setup ]; then
- cd $HOME/OpenOffice.org%%FRELEASE_NR%%
- if [ ! -e $HOME/OpenOffice.org%%FRELEASE_NR%%/user/config/soffice.cfg ]; then
- touch $HOME/OpenOffice.org%%FRELEASE_NR%%/user/config/soffice.cfg
- fi
- if [ ! -e user/registry/data/org/openoffice/Office/Common.xcu ]; then
- mkdir -p tmp;
- save_common_xcu;
- fi
-fi
-
case $program in
$0)
cd $oopath && ./soffice "$@"
diff --git a/editors/openoffice.org-vcltesttool/files/patch-desktop+scripts+soffice.sh b/editors/openoffice.org-vcltesttool/files/patch-desktop+scripts+soffice.sh
new file mode 100644
index 0000000..ad1235c
--- /dev/null
+++ b/editors/openoffice.org-vcltesttool/files/patch-desktop+scripts+soffice.sh
@@ -0,0 +1,11 @@
+--- ../desktop/scripts/soffice.sh.orig Wed Sep 17 05:21:54 2003
++++ ../desktop/scripts/soffice.sh Wed Sep 17 05:24:59 2003
+@@ -233,6 +233,8 @@
+ PATH="$sd_prog":$PATH
+ export PATH
+
++. $sd_prog/freebsd-local.sh
++
+ # execute soffice binary
+ exec "$sd_prog/$sd_binary" "$@"
+
OpenPOWER on IntegriCloud